Page MenuHomePhabricator

Saving a translation that hits the URL blacklist is marked as saved
Closed, ResolvedPublic

Description

Saving a translation that hits the URL blacklist is marked as saved

When trying to save the contents of URL[1] as a translation, the translation is marked as saved in the UI. Later, a user will find out it was not saved.

When trying to save the same contents in the content page, a warning is displayed that "goo.gl" is on the spam blacklist.

[1] https://translatewiki.net/w/i.php?title=Kiwix:Android.ui.info_share_content/en

It's probably that the domain "goo.gl" is allowed on translatewiki.net now. Another blocked domain from the blacklist should be used to reproduce this problem in that case.


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=48804

Details

Reference
bz59715

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:21 AM
bzimport set Reference to bz59715.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.Jan 6 2014, 11:20 AM

Change 303430 had a related patch set uploaded (by Glaisher):
ext.translate.editor: Improve save failure detection

https://gerrit.wikimedia.org/r/303430

Change 303430 merged by jenkins-bot:
ext.translate.editor: Improve save failure detection

https://gerrit.wikimedia.org/r/303430

Glaisher closed this task as Resolved.Aug 9 2016, 3:11 AM